<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/1999/REC-html401-19991224/loose.dtd">
<!--
vim:tw=78
-->
<html lang="en">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <title>EtherLab :: EL2535</title>
        <link rel="stylesheet" href="docstyle.css" type="text/css">
        <meta name="generator" content="DocBook XSL Stylesheets V1.52.2">
        <meta http-equiv="Content-Script-Type" content="text/javascript">
        <meta name="toctype" content="ug">
        <script language="JavaScript" src="docscripts.js"></script>
    </head>
    <body>
        <a name="top_of_page"></a>
        <p style="font-size:1px;">&nbsp;</p>
        <h1>Beckhoff EL2535 PWM Output Slave</h1>

        This block implements the Beckhoff's EtherCAT series of
        Pulse Width Modulation (PWM) Output
        Terminals.

        Each channel can be activated and configured independently.

        For more information, please consult the vendor documentation.

        <h3>Channel Settings</h3>
        <p>The most important setting is <b>Maximum Current</b>,
        Objects 0x8000:10 and 0x8010:10,
        because it limits the Output Current.
        Please set it to a Value in the range [0, 100],
        according to the attached PWM device.
        If you have an EL2535-0002, which makes 2A,
        and set 0x8000:10 to 15, your device will be driven
        with at most 300 mA.
        </p>

        <h3>Block Inputs</h3>
        <p>The PWM input port of the block takes a
        double in the range of [-1, 1].
        This range is mapped to [-Maximum Current, Maximum current].
        So, with the example above,
        if the block input is set to -0.5,
        the EL2535 will output a current of -150 mA.
        </p>

        <p>So, the formula is:
        Output Current = Nominal Current &middot; <b>Maximum Current</b> / 100 &middot; Block input.
        </p>

        <h3>Extra Outputs</h3>

        <p>Additional values can be mapped to the block outputs,
        the actual current, the current setpoint, the duty cycle
        and the actual supply voltage.
        This setting is available in Extra Outputs Tab.
        </p>


        <h3>Common Slave Options</h3>
        <ul>
            <li><a href="general.html#address">Master</a></li>
            <li><a href="general.html#slave">Slave Index</a></li>
            <li><a href="general.html#model">Device Model</a></li>
            <li><a href="general.html#sampletime">Sample Time</a></li>
        </ul>
</html>
